Activities API
POST/api/v1/activities/ad-hoc
Product availabilityAlgaPSA

Create ad-hoc activity

Creates a personal, self-assigned ad-hoc to-do rendered as a schedule activity. Times are optional; when both are supplied the end must be after the start. Gated by `user_schedule:read`.

Request body

Content type: application/json · schema CreateAdHocActivityBodyV1

titlestringRequired
min length 1
notesstring
scheduledStartstring <date-time>Nullable
scheduledEndstring <date-time>Nullable

Response body

Success response 201 · schema AdHocActivityResponseV1

dataobjectRequired
idstringRequired
titlestringRequired
descriptionstring
typestringRequired
Enum: scheduleprojectTasktickettimeEntryworkflowTasknotificationdocument
statusstringRequired
statusColorstring
prioritystringRequired
Enum: lowmediumhigh
priorityNamestring
priorityColorstring
dueDatestring
startDatestring
endDatestring
assignedToarray of string
itemsstring
assignedToNamesarray of string
itemsstring
sourceIdstringRequired
sourceTypestringRequired
Enum: scheduleprojectTasktickettimeEntryworkflowTasknotificationdocument
actionsarray of objectRequired
itemsobject
idstringRequired
labelstringRequired
iconstring
disabledboolean
disabledReasonstring
isClosedboolean
tenantstringRequired
createdAtstringRequired
updatedAtstringRequired
metaany

Response codes

201
Ad-hoc activity created.
400
Invalid request body (e.g. missing title or end before start).
401
Authentication required.
403
Permission denied (user_schedule:read).
500
Unexpected failure creating the ad-hoc activity.